metaHTML

# Class: htmlOutputText

Source Location: /lib/html.inc

### Class Overview

    htmlElement
       |
       --htmlOutputText

Prints the text and escapes contained HTML code by default.

### Methods

- __construct
- generateHTML
- setIsBold
- setMarkAsRequired
- setNoWrap

### Inherited Constants

#### Class: htmlElement

htmlElement::ALIGN_BOTTOM
htmlElement::ALIGN_CENTER
htmlElement::ALIGN_LEFT
htmlElement::ALIGN_RIGHT
htmlElement::ALIGN_TOP
htmlElement::VALIDATE_NUMERIC

### Inherited Variables

#### Class: htmlElement

htmlElement::$alignment
htmlElement::$colspan
htmlElement::$rowspan

### Inherited Methods

#### Class: htmlElement

htmlElement::generateHTML()
  Prints the HTML code for this element.
htmlElement::getAlignmentString()
  Returns the HTML attributes for the alignment.
htmlElement::getColspanString()
  Returns the HTML attribute for the colspan.
htmlElement::getRowspanString()
  Returns the HTML attribute for the rowspan.

### Class Details

[line 1225]
Prints the text and escapes contained HTML code by default.
[ Top ]

### Class Methods

### constructor __construct [line 1244]

`htmlOutputText __construct( String $string, [boolean $escapeHTML = true])`

Constructor.

#### Parameters:

String | $string | output text
boolean | $escapeHTML | escape HTML code (default yes)

[ Top ]

### method generateHTML [line 1260]

`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`

Prints the HTML code for this element.

#### Tags:

return: | List of input field names and their type (name => type)

Overrides htmlElement::generateHTML() (Prints the HTML code for this element.)

#### Parameters:

string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |

[ Top ]

### method setIsBold [line 1292]

`void setIsBold( boolean $isBold)`

Specifies if the whole text should be printed in bold.

#### Tags:

access: | public

#### Parameters:

boolean | $isBold | bold text

[ Top ]

### method setMarkAsRequired [line 1301]

`void setMarkAsRequired( boolean $markAsRequired)`

Adds a marker that indicates a required field.

#### Tags:

access: | public

#### Parameters:

boolean | $markAsRequired | add marker

[ Top ]

### method setNoWrap [line 1310]

`void setNoWrap( boolean $noWrap)`

Specifies if word wrap is allowed for this text.

#### Tags:

access: | public

#### Parameters:

boolean | $noWrap | no wrapping if set to true (default false)

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:48 +0100 by phpDocumentor 1.4.1